%define	module	Compress-Zlib
%define	name	perl-%{module}
%define	version	1.33
%define	release	1mdk

Summary:	%{module} module for perl
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org/
BuildRequires:	perl-devel zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc README
%{_mandir}/*/*
%{perl_vendorarch}/Compress
%{perl_vendorarch}/auto/Compress

%changelog
* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.33-1mdk
- 1.33
- spec cosmetics

* Sun Nov 30 2003 Stefan van der Eijk <stefan@eijk.nu> 1.32-1mdk
- 1.32

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.22-2mdk
- rebuild for new perl
- use %%make macro
- use %%makeinstall_std macro

* Mon Jun 30 2003 Franois Pons <fpons@mandrakesoft.com> 1.22-1mdk
- 1.22.

* Fri May 23 2003 Franois Pons <fpons@mandrakesoft.com> 1.21-1mdk
- 1.21.

* Fri Apr 18 2003 Franois Pons <fpons@mandrakesoft.com> 1.20-1mdk
- 1.20.

* Mon Nov 04 2002 Franois Pons <fpons@mandrakesoft.com> 1.19-1mdk
- 1.19.

* Fri Oct 25 2002 Franois Pons <fpons@mandrakesoft.com> 1.17-1mdk
- 1.17.

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 1.16-5mdk
- rebuild for perl thread-multi

* Wed Jul 10 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.16-4mdk
- add 'make test'.

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.16-3mdk
- rebuild for perl 5.8.0

* Tue May 07 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.16-2mdk
- Automated rebuild in gcc3.1 environment

* Thu Jan 03 2002 Franois Pons <fpons@mandrakesoft.com> 1.16-1mdk
- 1.16.

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 1.14-1mdk
- 1.14.

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 1.13-2mdk
- BuildRequires: perl-devel zlib-devel

* Fri Aug 31 2001 Franois Pons <fpons@mandrakesoft.com> 1.13-1mdk
- 1.13.
- updated license.
- remove filelist, now use globing and macros.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandarkesoft.com> 1.10-2mdk
- Build against the latest perl 5.6.1.
- Rename spec file.

* Tue Feb 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.10-1mdk
- up to 1.10.
- remove Vendor and Distribution tag (jmd sucks!!)

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.08-2mdk
- Call spec-helper before creating filelist

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.08-1mdk
- Macroize package
